## Disable a payment link

Disables a payment link so it can no longer be used to collect payments.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/disable-payment-link HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payment_link_id: string,
}
```

Returns: boolean

## Request arguments

### `payment_link_id` (string)

**Required**. The unique identifier of the payment link to disable.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no payment link with the provided ID exists in your
merchant account. Double check that you're using the correct payment link ID.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
